Transformer
========
A class that behave like StreamEventTransformer

Example
-------
```dart
import 'dart:async';
import 'package:transformer/transformer.dart';

class Adder extends Transformer {
  int adder;

  Adder(this.adder);

  void handleData(data, EventSink sink) {
    sink.add(data + adder);
  }

}

void main() {
  var controller = new StreamController(),
      stream = controller.stream.transform(new Adder(100));

  stream.listen(print);

  controller.add(10); // prints out 110
}
```